Subject: bug#21398: can't compile 25.0.50 m17n-lib libotf-0.9.13 upgraded

From: Uwe Brauer <[email-masked]>
Date: Wed, 02 Sep 2015 12:37:16 +0000

Hello

I successfully compiled and installed 
m17n-lib and  libotf. I downloaded the latest git version and tried to
compile this time I obtained an error much later namely:

/temacs --batch --load loadup bootstrap
./temacs: error while loading shared libraries: libotf.so.0: cannot open shared object file: No such file or directory
make[2]: *** [bootstrap-emacs] Error 127
make[2]: Leaving directory `/home/oub/src/emacs/src'
make[1]: *** [src] Error 2
make[1]: Leaving directory `/home/oub/src/emacs'
make: *** [bootstrap] Error 2

So m17n and libotf install per default in /usr/local

However it seems that Emacs expects them in /usr.

I will reinstall mn17 and libotf.

This is all very odd.

Uwe Brauer